com.amazonaws.services.simpleworkflow.model

## Class ActivityTask

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.ActivityTask

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTask
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Unit of work sent to an activity worker.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTask` `clone()`
`boolean` `equals(Object obj)`
`String` `getActivityId()` The unique ID of the task.
`ActivityType` `getActivityType()` The type of this activity task.
`String` `getInput()` The inputs provided when the activity task was scheduled.
`Long` `getStartedEventId()` The ID of the `ActivityTaskStarted` event recorded in the history.
`String` `getTaskToken()` The opaque string used as a handle on the task.
`WorkflowExecution` `getWorkflowExecution()` The workflow execution that started this activity task.
`int` `hashCode()`
`void` `setActivityId(String activityId)` The unique ID of the task.
`void` `setActivityType(ActivityType activityType)` The type of this activity task.
`void` `setInput(String input)` The inputs provided when the activity task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded in the history.
`void` `setTaskToken(String taskToken)` The opaque string used as a handle on the task.
`void` `setWorkflowExecution(WorkflowExecution workflowExecution)` The workflow execution that started this activity task.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTask` `withActivityId(String activityId)` The unique ID of the task.
`ActivityTask` `withActivityType(ActivityType activityType)` The type of this activity task.
`ActivityTask` `withInput(String input)` The inputs provided when the activity task was scheduled.
`ActivityTask` `withStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded in the history.
`ActivityTask` `withTaskToken(String taskToken)` The opaque string used as a handle on the task.
`ActivityTask` `withWorkflowExecution(WorkflowExecution workflowExecution)` The workflow execution that started this activity task.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTask

    public ActivityTask()

### Method Detail

#### setTaskToken

    public void setTaskToken(String taskToken)

The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

Parameters:
  `taskToken` - The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

#### getTaskToken

    public String getTaskToken()

The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

Returns:
  The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

#### withTaskToken

    public ActivityTask withTaskToken(String taskToken)

The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.

Parameters:
  `taskToken` - The opaque string used as a handle on the task. This token is used by workers to communicate progress and response information back to the system about the task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityId

    public void setActivityId(String activityId)

The unique ID of the task.

Parameters:
  `activityId` - The unique ID of the task.

#### getActivityId

    public String getActivityId()

The unique ID of the task.

Returns:
  The unique ID of the task.

#### withActivityId

    public ActivityTask withActivityId(String activityId)

The unique ID of the task.

Parameters:
  `activityId` - The unique ID of the task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded in the history.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ActivityTaskStarted` event recorded in the history.

Returns:
  The ID of the `ActivityTaskStarted` event recorded in the history.

#### withStartedEventId

    public ActivityTask withStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded in the history.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded in the history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecution

    public void setWorkflowExecution(WorkflowExecution workflowExecution)

The workflow execution that started this activity task.

Parameters:
  `workflowExecution` - The workflow execution that started this activity task.

#### getWorkflowExecution

    public WorkflowExecution getWorkflowExecution()

The workflow execution that started this activity task.

Returns:
  The workflow execution that started this activity task.

#### withWorkflowExecution

    public ActivityTask withWorkflowExecution(WorkflowExecution workflowExecution)

The workflow execution that started this activity task.

Parameters:
  `workflowExecution` - The workflow execution that started this activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityType

    public void setActivityType(ActivityType activityType)

The type of this activity task.

Parameters:
  `activityType` - The type of this activity task.

#### getActivityType

    public ActivityType getActivityType()

The type of this activity task.

Returns:
  The type of this activity task.

#### withActivityType

    public ActivityTask withActivityType(ActivityType activityType)

The type of this activity task.

Parameters:
  `activityType` - The type of this activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

The inputs provided when the activity task was scheduled. The form of the input is user defined and should be meaningful to the activity implementation.

Parameters:
  `input` - The inputs provided when the activity task was scheduled. The form of the input is user defined and should be meaningful to the activity implementation.

#### getInput

    public String getInput()

The inputs provided when the activity task was scheduled. The form of the input is user defined and should be meaningful to the activity implementation.

Returns:
  The inputs provided when the activity task was scheduled. The form of the input is user defined and should be meaningful to the activity implementation.

#### withInput

    public ActivityTask withInput(String input)

The inputs provided when the activity task was scheduled. The form of the input is user defined and should be meaningful to the activity implementation.

Parameters:
  `input` - The inputs provided when the activity task was scheduled. The form of the input is user defined and should be meaningful to the activity implementation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTask clone()

Overrides:
  `clone` in class `Object`